
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Dati extends HttpServlet {

    private int n = 100;
    private String[] autore = new String[n];
    private String[] titolo = new String[n];
    private String[] editore = new String[n];
    private int[] pagine = new int[n];
    private double[] prezzo = new double[n];
    private String[] inprestito = new String[n];

    private int k = 0;

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Libri biblioteca</title>");
            out.println("</head>");
            out.println("<body>");

            String bott = request.getParameter("bottone");
            if (bott.equals("Invia")) {

                out.println("<h1>Libri inseriti</h1>");
                try {
                    autore[k] = request.getParameter("autore");
                    titolo[k] = request.getParameter("titolo");
                    editore[k] = request.getParameter("editore");
                    prezzo[k] = Double.parseDouble(request.getParameter("prezzo"));
                    pagine[k] = Integer.parseInt(request.getParameter("pagine"));
                    if (request.getParameter("inprestito")==null)
                        inprestito[k] = "no";
                    else
                        inprestito[k] = "si";
                    k++;
                } catch (Exception e) {
                out.println("<h2>Non hai inserito alcuni o tutti i dati</h2>");
                }

                out.println("<h2>Riepilogo libri inseriti: </h2>");
                out.println("<table border=\"3\" >");

                out.println("<tr>");
                out.println("<td>N°</td>");
                out.println("<td>Autore</td>");
                out.println("<td>Titolo</td>");
                out.println("<td>Editore</td>");
                out.println("<td>Pagine</td>");
                out.println("<td>Prezzo</td>");
                out.println("<td>In prestito</td>");
                out.println("<tr/>");

                for (int t = 0; t < k; t++) {
                    out.println("<tr>");
                    out.println("<td>" + (t + 1) + "</td>");
                    out.println("<td>" + autore[t] + "</td>");
                    out.println("<td>" + titolo[t] + "</td>");
                    out.println("<td>" + editore[t] + "</td>");
                    out.println("<td>" + pagine[t] + "</td>");
                    out.println("<td>" + prezzo[t] + "</td>");
                    if (inprestito[t].equals("si"))
                        out.println("<td><input type=\"checkbox\" name=\"inprestito\" value=\"si\" checked=\"checked\" /></td>");
                    else
                        out.println("<td><input type=\"checkbox\" name=\"inprestito\" value=\"no\" /></td>");
                    out.println("</tr>");
                }
                out.println("</table>");

            } else if (bott.equals("Cancella dati memorizzati")) {
                for (int i = 0; i < k; i++) {
                    autore[i] = null;
                    titolo[i] = null;
                    editore[i] = null;
                    pagine[i] = 0;
                    prezzo[i] = 0;
                    inprestito[i] = null;
                }
                k = 0;
                out.println("Tutti i dati sono stati eliminati");
            }
            out.println("<p>Torna alla <a href=\"index.html\">home</a></p>");
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
